@echo off 

echo "ASU prefill started......"
pushd \bench\vdbench\vdbench50406
call vdbench -f \bench\vdbench\spc2\spc2_prefill.parm -o \bench\vdbench\spc2\PreFill
popd
echo "ASU prefill complete....."


rem Directory where this is executed from:
set dir=%~dp0
 
rem set current class path
set cp=%~dp0

 
echo "Capture a storage profile at the start of the run....."
pushd "\Program Files\StorageManager\client"
smcli 10.113.120.33 10.113.120.34 -c "show storageArray time; show storageArray profile; show storageArray time;" -o \bench\vdbench\spc2\config_at_start.txt -quick
popd

java -Xmx1536m -Xms512m -Xss96k -cp %cp% vdbench -w SPC2 -f lfp.audit -o 091017.init -init

java -Xmx1536m -Xms512m -Xss96k -cp %cp% vdbench -w SPC2 -f lfp.audit -o 091017.lfp6

java -Xmx1536m -Xms512m -Xss96k -cp %cp% vdbench -w SPC2 -f ldq.audit -o 091017.ldq6

java -Xmx1536m -Xms512m -Xss96k -cp %cp% vdbench -w SPC2 -f vod.audit -o 091017.vod6

java -Xmx1536m -Xms512m -Xss96k -cp %cp% vdbench -w SPC2 -f persist1.audit -o 091017.persist1


echo "Capture a storage profile at the end of phase1....."
pushd "\Program Files\StorageManager\client"
smcli 10.113.120.33 10.113.120.34 -c "show storageArray time; show storageArray profile; show storageArray time;" -o \bench\vdbench\spc2\config_at_mid.txt -quick
popd

